Debian Bug report logs - #719778
italc: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: italc; Maintainer for italc is Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Thu, 15 Aug 2013 09:21:06 UTC

Severity: normal

Fixed in version italc/1:2.0.1-2

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Thu, 15 Aug 2013 09:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 15 Aug 2013 09:21:10 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: italc: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Thu, 15 Aug 2013 10:49:53 +0200
Package: italc
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Thu, 15 Aug 2013 13:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Thu, 15 Aug 2013 13:09:07 GMT) Full text and rfc822 format available.

Message #10 received at 719778@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719778@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://italc/{italc-client.templates}
Date: Thu, 15 Aug 2013 15:07:33 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in italc.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for italc.

The first step of the process is to review the debconf source
template file(s) of italc. This review will start on Sunday, August 18, 2013, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for italc.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Mon, 19 Aug 2013 12:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Mon, 19 Aug 2013 12:42:10 GMT) Full text and rfc822 format available.

Message #15 received at 719778@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719778@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://italc/{italc-client.templates}
Date: Mon, 19 Aug 2013 14:39:13 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the italc source package.

This review will last from Monday, August 19, 2013 to Thursday, August 29, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:
--- italc.old/debian/italc-client.templates	2013-08-15 10:48:49.746321613 +0200
+++ italc/debian/italc-client.templates	2013-08-19 14:23:00.877825759 +0200
@@ -25,7 +25,7 @@
  iTALC knows four different access roles for iTALC clients (teacher, student,
  supporter, and administrator).
  .
- iTALC manages this role based client access via SSL keys.
+ iTALC manages this role-based client access via SSL keys.
  .
  After installation of this package you may want those SSL keys to be
  created automatically. If so, you will find the freshly created keys in

"role based" --> "role-based"

@@ -35,30 +35,30 @@
 Type: boolean
 Default: true
 _Description: Create Posix groups for iTALC roles now?
- iTALC's role model requires configuration of four Posix groups on your
+ iTALC's role model requires configuration of four Posix groups on the
  system. The available roles are teacher, student, supporter, and admin.
  .
  You can either create those four Posix groups now or (re-)use Posix groups
- that already exist on your system.
+ that already exist on the system.

Impersonate the system. This is not necessarily "my" system.

 
 Template: italc-client/use-existing-groups-for-roles
 Type: boolean
 Default: false
 _Description: Use already existing groups for iTALC roles?
  If you already have set up groups for reflecting the iTALC role model
- (e.g. in your LDAP user/group database) then you can specify those group
+ (e.g. in the LDAP user/group database) then you can specify those group
  names on the next screens.

Ditto
 
 Template: italc-client/group-italc-teacher
 Type: string
 Default: italc-teacher
-_Description: Group for people in the role of iTALC teachers:
- Specify the Posix group name for people in the role of an iTALC teacher.
- The teacher role gives you basic control over iTALC clients in class
+_Description: iTALC teachers role group:
+ Please specify the Posix group name for iTALC teachers.
+ .
+ The teacher role gives basic control over iTALC clients in class
  rooms.
  .
- If the below field stays empty, then the Posix group root will be used
- instead.
+ If you leave this empty, the "root" Posix group will be used.
 
 Template: italc-client/del-last-group-teacher
 Type: boolean


Synopsis: more compact formulation

Split the first paragraph in two for better factorization, for translators

The field is not necessarily "below". It can be "above" or "aside",
depending on the debconf interface that's used. So switch to a more
standard formulation.

Quote "root" so that it is clearer what we're talking about.

These changes are repeated over for the other similar templates.


@@ -66,18 +66,18 @@
 _Description: Do you want to delete the group that was formerly used for this role?
  The Posix group for the iTALC teacher role has been modified.
  .
- If unsure, keep the formerly used group and manually investigate your
+ If unsure, keep the formerly used group and manually investigate the
  system later.


 
 Template: italc-client/key-access-for-groups
 Type: boolean
 Default: true
 _Description: Make iTALC's SSL keys accessible to the role model groups?
- To make the iTALC role model fully functional now, specific group access
+ To make the iTALC role model fully functional now, specific group access
  to the created SSL keys has to be granted.
  .
  If you skip this step, iTALC SSL keys are only accessible by the
- super-user `root' and you have to manually setup file permissions on the
+ super-user "root" and you have to manually setup file permissions on the
  keys later.

1st para: no change...:-)

quote "root" with the standard double quotes we're using all over
debconf templates.


--- italc.old/debian/control	2013-08-15 10:48:49.746321613 +0200
+++ italc/debian/control	2013-08-19 14:31:38.957576368 +0200
@@ -44,11 +44,11 @@
  libitalccore (=${binary:Version}),
 Description: Intelligent Teaching and Learning with Computers - Master
  iTALC makes it possible, to access and influence the students
- activities just from the computer of the teacher. With the
- help of iTALC, for example the teacher is able to see the
+ activities just from the computer of the teacher. For example, with the
+ help of iTALC, the teacher is able to see the
  content of the students screens on his screen. If a student needs
  help, the teacher can access the students desktop and give support
- from his computer. The student can watch all activities, the
+ from his computer. The student can watch all activities the
  teacher is doing on his desktop. So the student can learn new processes.
  For teaching something to all students, you can switch into demo-mode
  where all screens of the students show the teacher-screen.

Move "for example" for (I guess) better English

Drop the comma: I don't think it's needed here

These changes are of course repeated in all other boilerplates



@@ -134,4 +134,4 @@
  Furthermore things like locking student's screens, killing games,
  power on/off clients and much more can be done with iTALC.
  .
- This package provides the necessary library for italc
+ This package provides the needed libraries for iTALC.

Properly capitalize iTALC. Add a sentence dot. s/necessary/needed (?)

-- 


[italc-client.templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Mon, 19 Aug 2013 16:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Mon, 19 Aug 2013 16:57:13 GMT) Full text and rfc822 format available.

Message #20 received at 719778@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 719778@bugs.debian.org
Subject: Re: [RFR] templates://italc/{italc-client.templates}
Date: Mon, 19 Aug 2013 17:54:39 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> --- italc.old/debian/italc-client.templates	2013-08-15 10:48:49.746321613 +0200
> +++ italc/debian/italc-client.templates	2013-08-19 14:23:00.877825759 +0200
> @@ -25,7 +25,7 @@
[...] 
> _Description: Automatically set up iTALC's role model and create iTALC SSL key pairs?

Trim that down to "and create key pairs".

[...]
>   After installation of this package you may want those SSL keys to be
>   created automatically. If so, you will find the freshly created keys in
>   subfolders of /etc/italc/keys.

That's a bit confusing.  It isn't the case that after installation,
wanting keys will cause them to appear; they'll only be there if at
this point you told it to create them.  I would suggest just:

    Automatically generated SSL keys will be created in subfolders of
    /etc/italc/keys.

> @@ -35,30 +35,30 @@
>  Type: boolean
>  Default: true
>  _Description: Create Posix groups for iTALC roles now?

s/Posix/POSIX/g, or better yet, s/Posix//g.  After all, what sort of
non-POSIX groups is it trying to distinguish these from?  Are the
people reading this dialogue meant to go and look up what the POSIX
standard says about groups to check whether LDAP groups count or not?

> + iTALC's role model requires configuration of four Posix groups on the
>   system. The available roles are teacher, student, supporter, and admin.
>   .
>   You can either create those four Posix groups now or (re-)use Posix groups
> + that already exist on the system.
> 
> Impersonate the system. This is not necessarily "my" system.

(I think you mean "de-personalise")

Do you "configure" groups?

We should probably make it clearer that the groups are _named_
"teacher", "student", "supporter", and "admin" - those aren't
translatable role-names.  (Does the italc administrator really hog the
groupname "admin"?  That seems rude...)

    iTALC's role model requires four groups to exist: "teacher", "student",
    "supporter", and "admin".

    If these four groups are not created now, you will be asked to assign
    existing groups in their place.
  
>  Template: italc-client/use-existing-groups-for-roles
>  Type: boolean
>  Default: false
>  _Description: Use already existing groups for iTALC roles?
>   If you already have set up groups for reflecting the iTALC role model
> + (e.g. in the LDAP user/group database) then you can specify those group
>   names on the next screens.

"For reflecting" is a bit wrong:

    If groups reflecting the iTALC role model have already been set up

But this makes me wonder what happens if I leave it set to the default
answer ("no, don't use either newly created or reassigned groups").
Does it error out, or just assume things will be sorted out later?

>  Template: italc-client/group-italc-teacher
>  Type: string
>  Default: italc-teacher
> +_Description: iTALC teachers role group:
> + Please specify the Posix group name for iTALC teachers.
> + .
> + The teacher role gives basic control over iTALC clients in class
>   rooms.

All good, but it's one word "classrooms".

>  _Description: Do you want to delete the group that was formerly used for this role?

That doesn't need to be so long.  In particular, it doesn't need to
bring my personal preferences into it.

   _Description: Delete the group that was formerly used for this role?

>   The Posix group for the iTALC teacher role has been modified.
>   .
> + If unsure, keep the formerly used group and manually investigate the
>   system later.

Now that the short description is abbreviated there also needs to be a
reminder of the decision I'm being asked to make.

    Please specify whether the old group should be deleted. If unsure,
    keep the formerly used group and manually investigate later.
 
>  Template: italc-client/key-access-for-groups
>  Type: boolean
>  Default: true
>  _Description: Make iTALC's SSL keys accessible to the role model groups?
> + To make the iTALC role model fully functional now, specific group access
>   to the created SSL keys has to be granted.
>   .
>   If you skip this step, iTALC SSL keys are only accessible by the
> + super-user "root" and you have to manually setup file permissions on the
>   keys later.

Needs some grammar tweaks:
    To make the iTALC role model fully functional, the appropriate groups
    now need to be granted access to the created SSL keys.
    .
    If you skip this step, iTALC SSL keys will only be accessible to the
    super-user "root" and you will have to manually set up file permissions
    on the keys later.
 
> --- italc.old/debian/control	2013-08-15 10:48:49.746321613 +0200
> +++ italc/debian/control	2013-08-19 14:31:38.957576368 +0200
> @@ -44,11 +44,11 @@
>   libitalccore (=${binary:Version}),
>  Description: Intelligent Teaching and Learning with Computers - Master

I'm not keen on that capitalisation.  It's iTALC, not ITLCM!

>   iTALC makes it possible, to access and influence the students
> + activities just from the computer of the teacher. For example, with the
> + help of iTALC, the teacher is able to see the
>   content of the students screens on his screen. If a student needs
>   help, the teacher can access the students desktop and give support
> + from his computer. The student can watch all activities the
>   teacher is doing on his desktop. So the student can learn new processes.
>   For teaching something to all students, you can switch into demo-mode
>   where all screens of the students show the teacher-screen.

Breaking news: they allow females in schools these days!  This needs a
bit of reworking just to get rid of all the "his"es. 
 
> Move "for example" for (I guess) better English

Yes, that works nicely.  But the next several lines are really all
part of that same example and could do with some reorganisation.
 
> Drop the comma: I don't think it's needed here

Likewise the one after "makes it possible".

   Description: intelligent Teaching And Learning with Computers - master
    iTALC makes it possible to access and guide the activities of students
    from the computer of the teacher. For example, with the help of iTALC
    a teacher can view the contents of students' screens and see if any of
    them need help. If so, the teacher can access the student's desktop and
    provide support; the student can watch the teacher's actions and learn
    from them. Alternatively the teacher can switch into "demo-mode", where
    all the students' screens show the contents of the teacher's screen.
    Furthermore, actions like locking students' screens, killing games,
    powering clients on or off, and much more can all be performed via iTALC.


> - This package provides the necessary library for italc
> + This package provides the needed libraries for iTALC.
> 
> Properly capitalize iTALC. Add a sentence dot. s/necessary/needed (?)

It's a tricky one: usually either "necessary X for Y" or "X needed for
Y".  "Required" seems to be happy working either way.

>  Package: italc-client
[...]
>   This package contains the client software for iTALC that can be controlled
>   using italc-master.

s/that/, which/
 
>  Package: italc-management-console
[...]
>  Description: Intelligent Teaching and Learning with Computers - Management Console

Is there some shorter term we could use?  After all,
"management-console" is already in the packagename.  But I've left it
since there's no obvious right answer.

> Description: Intelligent Teaching and Learning with Computers - common libraries

Also a bit long, and easy to shorten - demote the word "common" to the
last line.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[control (text/plain, attachment)]
[italc-client.templates (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Fri, 30 Aug 2013 05:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 30 Aug 2013 05:06:05 GMT) Full text and rfc822 format available.

Message #25 received at 719778@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719778@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://italc/{italc-client.templates}
Date: Fri, 30 Aug 2013 07:02:47 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for italc.

The reviewed templates will be sent on Sunday, September 01, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[italc-client.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Fri, 30 Aug 2013 12:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 30 Aug 2013 12:06:04 GMT) Full text and rfc822 format available.

Message #30 received at 719778@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 719778@bugs.debian.org
Subject: Re: [LCFC] templates://italc/{italc-client.templates}
Date: Fri, 30 Aug 2013 13:03:12 +0100
Christian PERRIER wrote:
> This is the last call for comments for the review of debconf
> templates for italc.

Oh, here we go again!  My review on Mon, 19 Aug never made it to the
list.  It's there in the bug-log, though:

 "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719778#20"
       
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Sat, 31 Aug 2013 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Sat, 31 Aug 2013 08:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 719778@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: debian-l10n-english@lists.debian.org, 719778@bugs.debian.org
Subject: Re: Bug#719778: [LCFC] templates://italc/{italc-client.templates}
Date: Sat, 31 Aug 2013 10:43:14 +0200
[Message part 1 (text/plain, inline)]
Quoting Justin B Rye (justin.byam.rye@gmail.com):
> Christian PERRIER wrote:
> > This is the last call for comments for the review of debconf
> > templates for italc.
> 
> Oh, here we go again!  My review on Mon, 19 Aug never made it to the
> list.  It's there in the bug-log, though:
> 
>  "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719778#20"

OK, no problem. Review integrated....so the last versions of files are
those in the above bug report.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#719778; Package italc. (Mon, 02 Sep 2013 07:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Mon, 02 Sep 2013 07:33:04 GMT) Full text and rfc822 format available.

Message #40 received at 719778@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 719778@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#719778] templates://italc/{italc-client.templates} : Final update for English review
Date: Mon, 2 Sep 2013 07:50:53 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Monday, September 02, 2013, I notified you of the beginning of a review process
concerning debconf templates for italc.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading italc with these changes
right now.

The second phase of this process will begin on Thursday, September 05, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Thursday, September 26, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Friday, September 27, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[italc-client.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Tue, 24 Sep 2013 19:45:07 GMT) Full text and rfc822 format available.

Message sent on to Christian Perrier <bubulle@debian.org>:
Bug#719778. (Tue, 24 Sep 2013 19:45:38 GMT) Full text and rfc822 format available.

Message #45 received at 719778-submitter@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 719778-submitter@bugs.debian.org
Subject: Bug#719778 marked as pending
Date: Tue, 24 Sep 2013 19:43:26 +0000
tag 719778 pending
thanks

Hello,

Bug #719778 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=debian-edu/italc.git;a=commitdiff;h=fe4cf57

---
commit fe4cf575aa8f4f2eb8178ed2bc0d61fd0a94057c
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Sep 21 21:26:40 2013 +0200

    Review of translatable text elements by the Enlish i18n team. (Closes: #719778).

diff --git a/debian/changelog b/debian/changelog
index 77ddc78..05e6dea 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+italc (1:2.0.1-2) UNRELEASED; urgency=low
+
+  * Review of translatable text elements by the Enlish i18n team. (Closes:
+    #719778).
+
+ -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Sep 2013 21:22:57 +0200
+
 italc (1:2.0.1-1) unstable; urgency=low
 
   * New upstream version.



Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Tue, 24 Sep 2013 19:57:08 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Tue, 24 Sep 2013 19:57:08 GMT) Full text and rfc822 format available.

Message #50 received at 719778-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 719778-close@bugs.debian.org
Subject: Bug#719778: fixed in italc 1:2.0.1-2
Date: Tue, 24 Sep 2013 19:54:30 +0000
Source: italc
Source-Version: 1:2.0.1-2

We believe that the bug you reported is fixed in the latest version of
italc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719778@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated italc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 24 Sep 2013 21:27:50 +0200
Source: italc
Binary: italc-master italc-client italc-management-console libitalccore
Architecture: source amd64
Version: 1:2.0.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 italc-client - intelligent Teaching And Learning with Computers - client
 italc-management-console - intelligent Teaching And Learning with Computers - management con
 italc-master - intelligent Teaching And Learning with Computers - master
 libitalccore - intelligent Teaching And Learning with Computers - libraries
Closes: 719778 721993 722131 722141 723754 723863 724018 724025 724485
Changes: 
 italc (1:2.0.1-2) unstable; urgency=low
 .
   * Review of translatable text elements by the Enlish i18n team. (Closes:
     #719778).
   * /debian/copyright:
     + Add block for Files: /debian/*.
   * Debconf translation files updated/added:
     + Russian translation (thanks to Yuri Kozlov). (Closes: #721993).
     + Danish translation (thanks to Joe Dalton). (Closes: #722131).
     + Czech translation (thanks to Michal Šimůnek). (Closes: #722141).
     + Japanese translation (thanks to »victory«). (Closes: #723754).
     + Italian translation (thanks to Beatrice Torracca). (Closes: #723863).
     + Portuguese translation (thanks to Miguel Figueiredo). (Closes: #724018).
     + French translation (thanks to Steve Petruzzello). (Closes: #724485).
     + German translation (thanks to Helge Kreutzmann for reviewing my own
       translation effort). (Closes: #724025).
Checksums-Sha1: 
 0a0724ba89d047bf059e8b722b699656760f6dce 2427 italc_2.0.1-2.dsc
 fa2396f324313dede5c5e25a1318c06c251d57a0 47168 italc_2.0.1-2.debian.tar.gz
 7c0506e7f36e4b699eaf930c0784da7d01eac89e 643902 italc-master_2.0.1-2_amd64.deb
 0634ad230da8a82bcd0cb9f60c304469bd9fd82b 614592 italc-client_2.0.1-2_amd64.deb
 09cf9b8929b803bcfc4fcfa0ca31ee3eba6c0200 135382 italc-management-console_2.0.1-2_amd64.deb
 bd50d8da17f535a73bbc7b767b05a24733d15b2b 612016 libitalccore_2.0.1-2_amd64.deb
Checksums-Sha256: 
 548d9cd5670055c784f5beaa576e8148a14c271c408cd1018012b8c18b8dcb59 2427 italc_2.0.1-2.dsc
 120a374709a54b3ad4ee2329121afed723d581d298a1ddb7c9a67789f10f1a65 47168 italc_2.0.1-2.debian.tar.gz
 7059b5ae6b1dc84eec29a8c5f99bea80257d9bb17763df7e22d861bc8dcd32d4 643902 italc-master_2.0.1-2_amd64.deb
 864f5f7362413d23136b374d9b9b72c409c708787a239e8555425f63e988049e 614592 italc-client_2.0.1-2_amd64.deb
 e71e662ec73358c1ef4b0536876a695277d0098f013bbc84e8712d0b2a9c11ae 135382 italc-management-console_2.0.1-2_amd64.deb
 dd0135dbe9d295c2b57c3402cefb0e4ca0a0ad8a054be81b9a6f0693decdc1e6 612016 libitalccore_2.0.1-2_amd64.deb
Files: 
 30bf2e441dbc27416d745ae9bb981052 2427 x11 optional italc_2.0.1-2.dsc
 278f6884a784ca3b45681189f4720120 47168 x11 optional italc_2.0.1-2.debian.tar.gz
 110bb0a03f069771dda8f4f3889d5910 643902 x11 optional italc-master_2.0.1-2_amd64.deb
 629f2e0b1cec8f6f65949212ce85389b 614592 x11 optional italc-client_2.0.1-2_amd64.deb
 5b4b8a23b7ed88e388c1df941c94b8fc 135382 x11 optional italc-management-console_2.0.1-2_amd64.deb
 7440a13704d70a4d274084119edcb66d 612016 x11 optional libitalccore_2.0.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSQeoXAAoJEJr0azAldxsxNjcP/1vMnHv6wqaYB8kMODVOAOew
DTPdxwhr0mYnIIMNYtXu334f6yf5984DtjeU8obyjmns2MYoCrSeh8o/goHSt4zC
VgTn+EV3W6Rs4K1ETtNgVQX8EDtymubj2PhBNWOYdWWQUk/ATLKhsCQ+tb4KeBG6
szgyBeuSMgWJFfJhOr52bflX74RO32z2e3mPOoCykXGoRXPbMyoxG+Yjclas03o/
sgi1RAcuSftgZIyOtWeny54+cXaEaPtMRLI2ISRNXRzJVT3bxUKXkHcTAHFuvnS+
bsyLRsuudVCyYBqL/0zBE6h79KZFt5lcG+iGuyF4Td6cHR/Xy6PRcwaKmlWhSYL7
bWyY0ajCaO5kuxThjBsUGRcHWOcI8TLWrp/+jO0CJ6p8VKeSo2e0DKKCdywdiPFg
04C2oJwPefiz1ZEfy3izVlR+f0I/ASl9f/4pEZNyyEA+sbjlZ5hJoScvCsGmbneV
5OLDnggZdifRboFa0TrpTlmPY9wk8nOrZRGhLwgvPHiDF3Rrl5gcOJIxDMX6XsP4
PQLCqIec9bi5P+xgkOkhRhPwdAzZdgaOuj1p+LsIorgq8AxAZJ/+aqQuPHPtBEHu
3g+RWaGMjEu66xA4gWLBNWeEhO8unaRmyyXrWUj8WNyYN2jCAu81RmFlGKdRu53M
MfUXyY7qEjg9cWmCEPy/
=UGOP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Nov 2013 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:34:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.